This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1260882 - SELinux is preventing /usr/sbin/fcoemon from 'create' accesses on the netlink_scsitransport_socket Unknown.
SELinux is preventing /usr/sbin/fcoemon from 'create' accesses on the netlink...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:b3c5579b6380bdf35cfb9e037ba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 03:17 EDT by Alexander Kurtakov
Modified: 2015-10-12 20:05 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-151.fc23 selinux-policy-3.13.1-150.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 20:05:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2015-09-08 03:17:17 EDT
Description of problem:
SELinux is preventing /usr/sbin/fcoemon from 'create' accesses on the netlink_scsitransport_socket Unknown.

*****  Plugin restorecon_source (99.5 confidence) suggests   *****************

If you want to fix the label. 
/usr/sbin/fcoemon default label should be fcoemon_exec_t.
Then you can run restorecon.
Do
# /sbin/restorecon -v /usr/sbin/fcoemon

*****  Plugin catchall (1.49 confidence) suggests   **************************

If you believe that fcoemon should be allowed create access on the Unknown netlink_scsitransport_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep fcoemon /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:fcoemon_t:s0
Target Context                system_u:system_r:fcoemon_t:s0
Target Objects                Unknown [ netlink_scsitransport_socket ]
Source                        fcoemon
Source Path                   /usr/sbin/fcoemon
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           fcoe-utils-1.0.30-3.git91c0c8c.fc23.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-146.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.0-300.fc23.x86_64 #1 SMP Fri
                              Sep 4 13:27:08 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-09-07 14:59:21 EEST
Last Seen                     2015-09-07 14:59:21 EEST
Local ID                      835e7638-493f-4f48-8962-9e4b22513897

Raw Audit Messages
type=AVC msg=audit(1441627161.945:460): avc:  denied  { create } for  pid=1680 comm="fcoemon" scontext=system_u:system_r:fcoemon_t:s0 tcontext=system_u:system_r:fcoemon_t:s0 tclass=netlink_scsitransport_socket permissive=0


type=SYSCALL msg=audit(1441627161.945:460): arch=x86_64 syscall=socket success=no exit=EACCES a0=10 a1=2 a2=12 a3=8 items=0 ppid=1 pid=1680 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=fcoemon exe=/usr/sbin/fcoemon subj=system_u:system_r:fcoemon_t:s0 key=(null)

Hash: fcoemon,fcoemon_t,fcoemon_t,netlink_scsitransport_socket,create

Version-Release number of selected component:
selinux-policy-3.13.1-146.fc23.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.0-300.fc23.x86_64
type:           libreport
Comment 1 Fedora Update System 2015-10-09 10:14:37 EDT
selinux-policy-3.13.1-150.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f4305656a5
Comment 2 Fedora Update System 2015-10-11 04:25:42 EDT
selinux-policy-3.13.1-150.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f4305656a5
Comment 3 Fedora Update System 2015-10-12 20:04:59 EDT
selinux-policy-3.13.1-150.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.